:root {
  --sans-serif: "Source Sans Pro", sans-serif;
  --serif: "Frank Ruhl Libre", serif;
  --fontsize-large: 2em;
  --fontsize-medium: 1.5em;
  --fontsize-normal: 10px;
  --fontsize-small: 0.667em;
  --font-color: #000;
  --font-color-w: #fff;
}

/* PAGE GRID  */
.grid-container {
  display: grid;
  grid-gap: 5px 2px;
  grid-template-columns: 85px 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr;
  grid-template-rows: 70px 25px auto;
  justify-content: end;
  overflow: auto;
  height: 100%;
  width: 100%;
}

.grid-title {
  grid-column: 2 / span 3;
  grid-row: 1;
  align-self: bottom;
}
.grid-button-add {
  grid-column: 7 / span 1;
  grid-row: 1;
  align-self: bottom;
}

.grid-path-headers {
  grid-column: 1 / span 12;
  grid-row: 2 / span 1;
}

.grid-path {
  grid-column: 1 / span 12;
  grid-row: 3 / span 4;
}

/* GENERAL */

h1 {
  margin: 0;
  font-family: var(--serif);
  font-size: var(--fontsize-large);
  font-weight: 400;
}

#page-wrapper {
  padding-top: 20px;
}

/* PATH */
.pathHeader {
  text-transform: capitalize;
  font-family: var(--serif);
  font-size: var(--fontsize-normal);
  font-weight: 500;
  padding: 0 0 0 2px;
  /* vertical-align: baseline; */
}

.region {
  height: 20px;
  width: 90%;
  text-align: right;
  vertical-align: baseline;
  /* background-color: white; */
  color: var(--font-color);
  font-family: var(--serif);
  font-size: var(--fontsize-normal);
  font-weight: 500;
}
.path-segment,
.wg-ist,
.wg-neu,
.misc {
  cursor: pointer;
}

.path-segment {
  padding: 0 0 5px 0;
  min-height: 40px;
  display: flex;
  align-items: baseline;
  align-content: baseline;
  justify-content: space-between;
  /* background-color: rgba(222, 241, 253, 0.7); */
  border-radius: 5px;
  border-top: 1px solid white;
  border-bottom: 1px solid white;
}
.path-segment:hover {
  background-color: #b9e5ff;
  border-top: 1px solid white;
  border-bottom: 1px solid white;
}
.wg-ist {
  text-align: right;
  color: var(--font-color);
  font-family: var(--serif);
  font-size: var(--fontsize-normal);
  font-weight: 600;
  padding: 5px 5px 0 5px;
  display: flex;
  order: 1;
}
.wg-neu {
  float: right;
  text-align: left;
  color: var(--font-color);
  font-family: var(--serif);
  font-size: var(--fontsize-normal);
  font-weight: 600;
  padding: 5px 5px 0 5px;
  margin-right: 5px;
  display: flex;
  order: 3;
}
.misc {
  text-align: left;
  color: var(--font-color);
  font-family: var(--sans-serif);
  font-size: var(--fontsize-normal);
  font-weight: 400i;
  display: flex;
  padding: 0 0 0 2px;
  order: 2;
}

#addpath {
  padding-top: 10px;
  padding-left: 15px;
  width: 80px;
  height: 20px;
  border-radius: 13px;
  border: none;
  margin-top: 10px;
  font-family: var(--sans-serif);
  font-size: var(--fontsize-normal);
  font-weight: 500;
  background-color: rgb(240, 240, 240);
  color: var(--font-color);
  cursor: pointer;
}

#addpath:hover {
  background-color: rgb(220, 220, 220);
}

#save {
  margin: 3em 0 15em 0;
}

/* OVERLAY */
.blur {
  -webkit-filter: blur(8px);
  -moz-filter: blur(8px);
  -o-filter: blur(8px);
  -ms-filter: blur(8px);
  filter: blur(8px);
}

#overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  z-index: 10;
  background-color: rgba(0, 0, 0, 0);
  display: none;
}

#overlay-editor {
  position: fixed;
  top: 20px;
  left: calc(50vw - 400px);
  width: 95vw;
  max-width: 800px;
  height: calc(100vh - 90px);
  z-index: 11;
  background-color: rgba(255, 255, 255, 1);
  box-shadow: 0px 5px 30px 0px rgba(0, 0, 0, 0.3);
  border-radius: 5px;
  display: none;
  padding: 25px;
  overflow: scroll;
}

/* EDITOR */
#editor-holder {
  display: flex;
}

#editor-holder > div {
  display: flex;
}

h3 {
  font-family: var(--serif);
  font-weight: 400;
  font-size: var(--fontsize-medium);
}

.card h3,
p {
  font-family: var(--serif);
  font-weight: 400;
  font-style: italic;
  margin: 30px 0 15px 0;
  display: flex;
  order: 1;
  flex-direction: row;
  place-content: space-between;
}

div.row h3 {
  font-style: normal;
  font-family: var(--sans-serif);
  font-size: var(--fontsize-normal);
  font-weight: 600;
}

p {
  font-family: var(--sans-serif);
  font-size: var(--fontsize-normal);
  font-style: normal;
}

h3 button {
  display: flex;
  order: 1;
}

button.btn.btn-secondary.json-editor-btn-delete.delete {
  margin: 10px 0 0 48px;
}
.row {
  margin: 0;
  order: 2;
}
.form-group {
  display: flex;
}

label.form-control-label {
  padding: 10px;
  font-family: var(--sans-serif);
  font-size: var(--fontsize-normal);
  font-weight: 400;
  text-align: right;
  width: 180px;
  display: flex;
  margin: 5px 20px 0 20%;
}

select.form-control {
  display: flex;
  margin-top: 12px;
  max-height: 25px;
  border-radius: 5px;
}

input.form-control {
  display: flex;
  margin-top: 8px;
  max-height: 25px;
  border-radius: 5px;
}

h3.card-body {
  display: flex;
}

div.checkbox {
  width: 50px;
  margin: 5px auto;
}

.card {
  display: inline;
}

.json-editor-btn-edit {
  display: none;
  visibility: hidden;
}

button.delete {
  display: none;
}

button.btn.btn-secondary.json-editor-btn-delete {
  margin-top: 20px;
}
